Bug 507466 - Alignment Issue
Alignment Issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mhash (Show other bugs)
11
arm9 Linux
low Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2009-06-22 17:17 EDT by Jitesh Shah
Modified: 2009-07-23 15:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.9.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alignment fix (495 bytes, patch)
2009-06-22 17:17 EDT, Jitesh Shah
no flags Details | Diff

  None (edit)
Description Jitesh Shah 2009-06-22 17:17:55 EDT
Created attachment 349000 [details]
alignment fix

Description of problem:
In the implementation of tiger_final() in tiger.c, the array "temp" is defined as "mutils_word8". However, later it is used by typecasting it to ((mutils_word64*)temp). This unaligned access causes problems on ARM and as a result, TIGER's test fails.

Version-Release number of selected component (if applicable):
I have used mhash-0.9.9-7 version of mhash in the investigation.

How reproducible:
Try to build mhash on ARM on f11 root. 
A sample build can be found here: 
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=42736


Actual results:
TIGER test failed.


Expected results:
All tests should succeed. 


Additional info:
I have attached a patch which forces 64-bit alignment on "temp". mhash built successfully on ARM with this patch. Kindly review and let me know whether it is correct.
Comment 1 Fedora Update System 2009-07-22 18:44:40 EDT
mhash-0.9.9.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mhash-0.9.9.9-1.fc10
Comment 2 Fedora Update System 2009-07-22 18:44:50 EDT
mhash-0.9.9.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mhash-0.9.9.9-1.fc11
Comment 3 Fedora Update System 2009-07-23 15:04:47 EDT
mhash-0.9.9.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-07-23 15:10:36 EDT
mhash-0.9.9.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.